condor_router_rm(1)

Name

condor_router_rmRemove jobs being managed by the HTCondor Job Router

Synopsis
condor_router_rm[router_rm options] [condor_rm options]

Description
condor_router_rmis a script that provides additional features above those offered by condor_rm, for removing jobs being managed by the HTCondor Job Router.

The options that may be supplied to condor_router_rmbelong to two groups:

    * router_rm optionsprovide the additional features

    * condor_rm optionsare those options already offered by condor_rm. See the condor_rmmanual page for specification of these options.

Options

-constraint X

    (router_rm option) Remove jobs matching the constraint specified by X

-held

    (router_rm option) Remove only jobs in the hold state

-idle

    (router_rm option) Remove only idle jobs

-route name

    (router_rm option) Remove only jobs on specified route

Exit Status

condor_router_rmwill exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.